<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21507" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_0" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21505"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="SLFriensInfoVc">
            <connections>
                <outlet property="addFriendBtn" destination="uRP-nU-Zg8" id="Knl-8O-jDC"/>
                <outlet property="fHeardImageView" destination="KTp-mS-JjL" id="Jym-hq-w4D"/>
                <outlet property="fpyqBgView" destination="NzD-oC-pVR" id="ClP-qM-zgg"/>
                <outlet property="locLabel" destination="Ua0-ci-XmP" id="paI-jG-2e5"/>
                <outlet property="pyqxView" destination="4nu-s5-kQp" id="lBJ-Ik-w1A"/>
                <outlet property="userNameLabel" destination="7Es-Se-YjK" id="2DC-fE-Z73"/>
                <outlet property="view" destination="i5M-Pr-FkT" id="sfx-zR-JGt"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view clearsContextBeforeDrawing="NO" contentMode="scaleToFill" id="i5M-Pr-FkT">
            <rect key="frame" x="0.0" y="0.0" width="390" height="844"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="nVv-kt-5Om">
                    <rect key="frame" x="0.0" y="0.0" width="390" height="300"/>
                    <subviews>
                        <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="icon_ellipse" translatesAutoresizingMaskIntoConstraints="NO" id="KTp-mS-JjL">
                            <rect key="frame" x="163" y="91" width="64" height="64"/>
                            <constraints>
                                <constraint firstAttribute="width" constant="64" id="Btm-0C-WJ8"/>
                                <constraint firstAttribute="height" constant="64" id="uB4-ZE-3QH"/>
                            </constraints>
                            <userDefinedRuntimeAttributes>
                                <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                    <integer key="value" value="32"/>
                                </userDefinedRuntimeAttribute>
                            </userDefinedRuntimeAttributes>
                        </imageView>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="7Es-Se-YjK">
                            <rect key="frame" x="154" y="171" width="82" height="36"/>
                            <fontDescription key="fontDescription" type="system" weight="medium" pointSize="20"/>
                            <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                            <state key="normal" title="用户名称">
                                <color key="titleColor" red="0.031372549020000001" green="0.058823529409999999" blue="0.1058823529" alpha="1" colorSpace="calibratedRGB"/>
                            </state>
                        </button>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text=" " textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Ua0-ci-XmP">
                            <rect key="frame" x="193.33333333333334" y="212" width="3.6666666666666572" height="15.666666666666657"/>
                            <fontDescription key="fontDescription" type="system" pointSize="13"/>
                            <color key="textColor" red="0.68235294117647061" green="0.68235294117647061" blue="0.69803921568627447" alpha="1" colorSpace="calibratedRGB"/>
                            <nil key="highlightedColor"/>
                        </label>
                    </subviews>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstItem="KTp-mS-JjL" firstAttribute="centerX" secondItem="nVv-kt-5Om" secondAttribute="centerX" id="52z-AE-Zn3"/>
                        <constraint firstItem="7Es-Se-YjK" firstAttribute="centerX" secondItem="KTp-mS-JjL" secondAttribute="centerX" id="7z6-ms-ksw"/>
                        <constraint firstAttribute="height" constant="300" id="ByX-wX-3GY"/>
                        <constraint firstItem="Ua0-ci-XmP" firstAttribute="centerX" secondItem="nVv-kt-5Om" secondAttribute="centerX" id="DPW-Gq-VjE"/>
                        <constraint firstItem="Ua0-ci-XmP" firstAttribute="top" secondItem="7Es-Se-YjK" secondAttribute="bottom" constant="5" id="WP1-nO-Gad"/>
                        <constraint firstItem="7Es-Se-YjK" firstAttribute="top" secondItem="KTp-mS-JjL" secondAttribute="bottom" constant="16" id="hMQ-NJ-cRo"/>
                    </constraints>
                </view>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="NzD-oC-pVR">
                    <rect key="frame" x="0.0" y="367" width="390" height="80"/>
                    <subviews>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="朋友圈" textAlignment="natural" lineBreakMode="tailTruncation" numberOfLines="0" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="RcK-jj-Z4a">
                            <rect key="frame" x="16" y="30.333333333333314" width="49" height="19.333333333333329"/>
                            <fontDescription key="fontDescription" type="system" pointSize="16"/>
                            <color key="textColor" white="0.0" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <nil key="highlightedColor"/>
                        </label>
                        <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="icon_chevron_right" translatesAutoresizingMaskIntoConstraints="NO" id="Tk0-Dt-puA">
                            <rect key="frame" x="350" y="28" width="24" height="24"/>
                            <constraints>
                                <constraint firstAttribute="height" constant="24" id="0s3-xU-8IN"/>
                                <constraint firstAttribute="width" constant="24" id="GK4-RR-LCE"/>
                            </constraints>
                        </imageView>
                    </subviews>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstItem="Tk0-Dt-puA" firstAttribute="centerY" secondItem="NzD-oC-pVR" secondAttribute="centerY" id="2kf-20-oth"/>
                        <constraint firstAttribute="trailing" secondItem="Tk0-Dt-puA" secondAttribute="trailing" constant="16" id="EqB-f4-492"/>
                        <constraint firstAttribute="height" constant="80" id="Qqz-72-eYO"/>
                        <constraint firstItem="RcK-jj-Z4a" firstAttribute="leading" secondItem="NzD-oC-pVR" secondAttribute="leading" constant="16" id="aL3-qf-uu7"/>
                        <constraint firstItem="RcK-jj-Z4a" firstAttribute="centerY" secondItem="NzD-oC-pVR" secondAttribute="centerY" id="xeC-IB-lMj"/>
                    </constraints>
                </view>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Dib-TE-03f">
                    <rect key="frame" x="0.0" y="457" width="390" height="56"/>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="56" id="OcC-pf-Adr"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="system" weight="medium" pointSize="16"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" title="进入对话"/>
                    <connections>
                        <action selector="toMsgBtnClick:" destination="-1" eventType="touchUpInside" id="Vw3-uZ-1Gc"/>
                    </connections>
                </button>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="4nu-s5-kQp" customClass="SLBaseCellView">
                    <rect key="frame" x="0.0" y="301" width="390" height="56"/>
                    <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="56" id="1YP-es-XFv"/>
                    </constraints>
                </view>
                <button hidden="YES" opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="system" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="uRP-nU-Zg8">
                    <rect key="frame" x="0.0" y="523" width="390" height="56"/>
                    <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstAttribute="height" constant="56" id="lcf-L2-Ioh"/>
                    </constraints>
                    <fontDescription key="fontDescription" type="system" weight="medium" pointSize="16"/>
                    <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                    <state key="normal" title="添加到联系人"/>
                    <connections>
                        <action selector="addFriendBtnClick:" destination="-1" eventType="touchUpInside" id="1Ai-eh-MQh"/>
                    </connections>
                </button>
            </subviews>
            <viewLayoutGuide key="safeArea" id="Q5M-cg-NOt"/>
            <color key="backgroundColor" systemColor="systemBackgroundColor"/>
            <constraints>
                <constraint firstItem="NzD-oC-pVR" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" id="0hw-oA-YJE"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="trailing" secondItem="nVv-kt-5Om" secondAttribute="trailing" id="2TK-C8-bxO"/>
                <constraint firstItem="Dib-TE-03f" firstAttribute="top" secondItem="NzD-oC-pVR" secondAttribute="bottom" constant="10" id="2aN-gL-NyV"/>
                <constraint firstItem="uRP-nU-Zg8" firstAttribute="trailing" secondItem="Q5M-cg-NOt" secondAttribute="trailing" id="6lt-FE-iu8"/>
                <constraint firstItem="Dib-TE-03f" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" id="7b7-eX-Ugp"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="trailing" secondItem="NzD-oC-pVR" secondAttribute="trailing" id="AoJ-mf-CAz"/>
                <constraint firstItem="Q5M-cg-NOt" firstAttribute="trailing" secondItem="Dib-TE-03f" secondAttribute="trailing" id="Cbv-Va-Eew"/>
                <constraint firstItem="KTp-mS-JjL" firstAttribute="top" secondItem="Q5M-cg-NOt" secondAttribute="top" constant="44" id="RsQ-JH-qw8"/>
                <constraint firstItem="4nu-s5-kQp" firstAttribute="top" secondItem="nVv-kt-5Om" secondAttribute="bottom" constant="1" id="TuH-zt-Qby"/>
                <constraint firstItem="4nu-s5-kQp" firstAttribute="leading" secondItem="NzD-oC-pVR" secondAttribute="leading" id="UlV-0x-sp5"/>
                <constraint firstItem="4nu-s5-kQp" firstAttribute="trailing" secondItem="NzD-oC-pVR" secondAttribute="trailing" id="Wtr-lQ-Pga"/>
                <constraint firstItem="nVv-kt-5Om" firstAttribute="top" secondItem="i5M-Pr-FkT" secondAttribute="top" id="Zmt-6t-TU0"/>
                <constraint firstItem="uRP-nU-Zg8" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" id="aGN-TG-nDL"/>
                <constraint firstItem="nVv-kt-5Om" firstAttribute="leading" secondItem="Q5M-cg-NOt" secondAttribute="leading" id="g0U-Pm-tiW"/>
                <constraint firstItem="uRP-nU-Zg8" firstAttribute="top" secondItem="Dib-TE-03f" secondAttribute="bottom" constant="10" id="q4k-I5-nTN"/>
                <constraint firstItem="NzD-oC-pVR" firstAttribute="top" secondItem="4nu-s5-kQp" secondAttribute="bottom" constant="10" id="y9k-3T-La5"/>
            </constraints>
            <point key="canvasLocation" x="113.84615384615384" y="0.0"/>
        </view>
    </objects>
    <resources>
        <image name="icon_chevron_right" width="24.666666030883789" height="24.333333969116211"/>
        <image name="icon_ellipse" width="52.333332061767578" height="52.333332061767578"/>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
    </resources>
</document>
